package com.tuoheng.admin.enums;

import lombok.Getter;

/**
 * Ai分析状态
 */
public enum QuestionTypeEnum {

    Q1("002000","林场问题图斑"),

    Q2("002001","病死树"),

    Q3("002003","火焰"),

    Q4("002004","烟雾");

    QuestionTypeEnum(String code, String description){
        this.code = code;
        this.content = description;
    }

    @Getter
    private String code;

    @Getter
    private String content;

    public static QuestionTypeEnum getByDesc(String content){
        for (QuestionTypeEnum questionType : values()) {
            if(questionType.getContent().equals(content)){
                return questionType;
            }
        }
        return null;
    }
}
